## xtpcpp 0.4.9

=== CMakeLists.txt ===
# CMake script for C++ X!TandemPipeline
# Author: Olivier Langella
# Created: 05/06/2015

# Global parameters
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
PROJECT(xtpcpp CXX)


# Add folder where are supportive functions
set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
set(CMAKE_TOOLCHAINS_PATH ${CMAKE_UTILS_PATH}/toolchains)
set(CMAKE_MODULE_PATH ${CMAKE_UTILS_PATH}/modules)

# Include the system's uname that fills in SYSTEM_UNAME_S.
# Sets WIN64 if SYSTEM_UNAME_S is "^.*MING64.*"
include(${CMAKE_UTILS_PATH}/systemUname.cmake)

# Include the various colors we want to use in the output
include(${CMAKE_UTILS_PATH}/outputColors.cmake)

set(CMAKE_COLOR_MAKEFILE ON)
set(CMAKE_VERBOSE_MAKEFILE ON)

message("\n${BoldRed}Configuring build for project ${PROJECT}${ColourReset}\n")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)


# We want C++17
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
message(STATUS "${BoldGreen}CMAKE_CXX_COMPILER: ${CMAKE_CXX_COMPILER}${ColourReset}")

#############################################################
# We do not want warnings for unknown pragmas:
message(STATUS "Setting definition -Wno-unknown-pragmas.${ColourReset}")
add_definitions(-Wno-unknown-pragmas)
# Enable warnings and possibly treat them as errors
message(STATUS "${BoldGreen}Setting definition -Wall.${ColourReset}")
add_definitions(-Wall)
message(STATUS "${BoldGreen}Setting definition -Wextra.${ColourReset}")
add_definitions(-Wextra)

if(WARN_AS_ERROR)
	message(STATUS "${BoldYellow}Setting definition -Werror.${ColourReset}")
	add_definitions(-Werror)
endif()

message(STATUS "${BoldRed}CMAKE_SOURCE_DIR: ${CMAKE_SOURCE_DIR}${ColourReset}")


#############################################################
#############################################################
# Platform-specific CMake configuration
if(MXE)
	# Run the following cmake command line:
	# x86_64-w64-mingw32.shared-cmake -DCMAKE_BUILD_TYPE=Release -DMXE=1 ../development
	#include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain.cmake)
	include(${CMAKE_TOOLCHAINS_PATH}/mxe-toolchain-olivier.cmake)

	# Set the name to the systemUname variable because in this situation that name
	# is not found, it it passed as a flag in the command line.
	set(systemUname "mxe")

elseif(UNIX AND NOT APPLE)
	# Run the following cmake command line:
	# cmake -DBUILD_USER_MANUAL=1 -DCMAKE_BUILD_TYPE=Debug

	include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain.cmake)
	#include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain-olivier.cmake)
	#include(${CMAKE_TOOLCHAINS_PATH}/unix-toolchain-pappsomsppdev.cmake)

elseif(WIN64)
	# Run the following cmake command line:
	# cmake -DBUILD_USER_MANUAL=0 -DCMAKE_BUILD_TYPE=Release ../development

	include(${CMAKE_TOOLCHAINS_PATH}/win10-mingw64-toolchain.cmake)

elseif(APPLE)
	# Run the following cmake command line:
	# cmake -DBUILD_USER_MANUAL=0 -DCMAKE_BUILD_TYPE=Release ../development

	include(${CMAKE_TOOLCHAINS_PATH}/apple-macport-toolchain.cmake)
endif()

message("")
message(STATUS "${BoldGreen}Starting configuration of ${PROJECT}${ColourReset}")
message("")
message(STATUS "${BoldYellow}The build toolchain is: ${SystemUname}${ColourReset}")
message("")



#############################################################
#############################################################
# Essential software configuration
message(STATUS "CMAKE_CURRENT_BINARY_DIR: " ${CMAKE_CURRENT_BINARY_DIR})

# Gee, do not set that to default!
# set(MAKE_TEST 1)

if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE Release CACHE STRING
		"Type of build, options are: None, Debug, Release, RelWithDebInfo, MinSizeRel."
		FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE MATCHES "Release")
	message(STATUS "Compiling in release mode.")
	add_definitions("-DQT_NO_DEBUG_OUTPUT")
endif()

if(CMAKE_BUILD_TYPE MATCHES "Debug")
	message(STATUS "Compiling in debug mode with MAKE_TEST: ${MAKE_TEST}.")
	message(STATUS "Add definition -ggdb3 to format debug output for GDB.")
	add_definitions(-ggdb3)
endif()

if(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
	message(STATUS "Compiling in release with debug info mode.")
endif( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )

message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")

#depending on libpappsomspp version :
set(LIBPAPPSOMSPP_VERSION "0.8.8")
configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control  @ONLY)


set(SOFTWARE_NAME "X!TandemPipeline")

set(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM}")

set(XTPCPP_VERSION_MAJOR "0")
set(XTPCPP_VERSION_MINOR "4")
set(XTPCPP_VERSION_PATCH "9")
set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
set(VERSION 0.4.9)

# Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
# standard install location
if(CMAKE_INSTALL_PREFIX)
  set(CMAKE_PREFIX_PATH "${CMAKE_INSTALL_PREFIX}" ${CMAKE_PREFIX_PATH})
endif(CMAKE_INSTALL_PREFIX)

# Subdirectories
add_subdirectory(src)
add_subdirectory(doc)

if(UNIX)
    # Doxygen
    find_package(Doxygen)
    if(DOXYGEN_FOUND)
    add_custom_target(apidoc cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-build
        COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-build
        COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-build
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    add_custom_target(apidoc-stable cp Doxyfile ${CMAKE_BINARY_DIR}/Doxyfile-stable
        COMMAND echo "OUTPUT_DIRECTORY=${CMAKE_BINARY_DIR}" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
        COMMAND echo "HTML_HEADER=header.html" >> ${CMAKE_BINARY_DIR}/Doxyfile-stable
        COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_BINARY_DIR}/Doxyfile-stable
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    endif(DOXYGEN_FOUND)
endif(UNIX)
# Packager
set(CPACK_PACKAGE_NAME "xtpcpp")
set(CPACK_PACKAGE_VENDOR "PAPPSO Development Team")
set(CPACK_PACKAGE_VERSION "${XTPCPP_VERSION}")
set(CPACK_PACKAGE_VERSION_MAJOR "${XTPCPP_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${XTPCPP_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${XTPCPP_VERSION_PATCH}")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "protein inference tool")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
set(CPACK_RESOURCE_FILE_INSTALL "${CMAKE_SOURCE_DIR}/INSTALL")
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
 "CMakeFiles"
 "Makefile"
 "_CPack_Packages"
 "CMakeCache.txt"
 ".*\\\\.git"
 ".*\\\\.gz"
 ".*\\\\.deb"
 ".*\\\\.rpm"
 ".*\\\\.dmg"
 ".*\\\\.xpip"
 ".*\\\\..*\\\\.swp"
 "src/\\\\..*"
 "src/libbpp*"
 "debian/tmp"
 "debian/libbpp.*/"
 "debian/libbpp.*\\\\.so.*"
 "debian/libbpp.*\\\\.a"
 "debian/libbpp.*\\\\.substvars"
 "debian/libbpp.*\\\\.debhelper"
 "debian/debhelper\\\\.log"
 "build/"
 "cbuild/"
 "wbuild/"
 "Core.tag"
 "Testing"
 "build-stamp"
 "install_manifest.txt"
 "DartConfiguration.tcl"
 ${CPACK_SOURCE_IGNORE_FILES}
)



#dch -Djessie "message"
#cmake ..
#make deb
# scp xtpcpp* proteus.moulon.inra.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default
#
#  debuild -S -sa
# dput -f olivier-langella *changes

if(MACOS)
  SET(CPACK_GENERATOR "Bundle")
endif()

set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_DEBSOURCE_PACKAGE_FILE_NAME "lib${CMAKE_PROJECT_NAME}_${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.orig")
iNCLUDE(CPack)

#This adds the 'dist' target
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
# 'clean' is not (yet) a first class target. However, we need to clean the directories before building the sources:
if("${CMAKE_GENERATOR}" MATCHES "Make")
  add_custom_target(make_clean
  COMMAND ${CMAKE_MAKE_PROGRAM} clean
  WORKING_DIRECTORY ${CMAKE_CURRENT_DIR}
  )
  Add_dependencies(dist make_clean)
endif()

if(UNIX)
#This creates deb packages:

	add_custom_target(targz
		cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION}.tar.gz
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "Creating .tar.gz" VERBATIM
	)


	add_custom_target(deb
		cd ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION} && dpkg-buildpackage
		DEPENDS targz
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "Creating Debian package" VERBATIM
	)

	file(GLOB changesdebs "${CMAKE_BINARY_DIR}/${CPACK_PACKAGE_NAME}_*.dsc")

	foreach(libfile ${changesdebs})
	    SET(changesdeb "${libfile}")
	endforeach(libfile)

	message ("changes debian file : ${changesdeb}")
	#lintian -IEi --pedantic tandem-mass_2013.06.15-1_amd64.changes
	add_custom_target(lintian
		lintian -IEi --pedantic ${changesdeb}
		DEPENDS deb
		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
		COMMENT "lintian check" VERBATIM
	)

endif()

set(ctest_update_type GIT)
set(update_command "GIT")
set(UPDATE_OPTIONS "")

#Enable_testing()
#include(CTest)
#if(BUILD_TESTING)
#  add_subdirectory(test)
#endif(BUILD_TESTING)

configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/xtpcpp.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop)
configure_file (${CMAKE_SOURCE_DIR}/win64/xtpcpp-mingw64-win7+.iss.cmake ${CMAKE_SOURCE_DIR}/win64/xtpcpp-mingw64-win7+.iss)
configure_file (${CMAKE_SOURCE_DIR}/win64/xtpcpp-mxe.iss.cmake ${CMAKE_SOURCE_DIR}/win64/xtpcpp-mxe.iss)

install(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop DESTINATION share/applications)

install(PROGRAMS ${CMAKE_BINARY_DIR}/src/xtpcpp DESTINATION bin)
configure_file(${CMAKE_SOURCE_DIR}/src/resources/xtandempipeline_icon.svg ${CMAKE_BINARY_DIR}/src/resources/xtpcpp.svg COPYONLY)
install(FILES ${CMAKE_BINARY_DIR}/src/resources/xtpcpp.svg DESTINATION share/icons/hicolor/scalable/apps)

=== src/CMakeLists.txt ===
# CMake script for xtpcpp
# Author: Olivier Langella
# Created: 03/03/2015


SET(xtpcpp_RCCS xtpcpp.qrc)
# Appeler automatique le moc quand nécessaire
#SET(CMAKE_AUTOMOC ON)
# Les fichiers générés par le moc sont générés dans le dossier bin, dire à CMake de toujours 	
# inclure les entêtes de ce dossier
#SET(CMAKE_INCLUDE_CURRENT_DIR ON)


find_package( Qt5 COMPONENTS Core Gui Svg Xml PrintSupport Sql Network Concurrent REQUIRED )
qt5_add_resources(xtpcpp_RCC_SRCS ${xtpcpp_RCCS})

if(QCustomPlot_FOUND)
    MESSAGE("QCustomPlot_INCLUDES found ${QCustomPlot_INCLUDES}")
else(QCustomPlot_FOUND)
    FIND_PACKAGE( QCustomPlot REQUIRED )
endif(QCustomPlot_FOUND)


#sudo apt-get install libpappsomspp-dev

if(PappsoMSpp_FOUND)
else(PappsoMSpp_FOUND)
  message("PAPPSOms++ library not found")
  message("did you apt-get install libpappsomspp-dev ?")
endif(PappsoMSpp_FOUND)

if(PappsoMSppWidget_FOUND)
else(PappsoMSppWidget_FOUND)
  message("PAPPSOms++ widget library not found")
  message("did you apt-get install libpappsomspp-widget-dev ?")
endif(PappsoMSppWidget_FOUND)

message("PAPPSOms++ library : ${PappsoMSpp_LIBRARY}")

configure_file(${CMAKE_SOURCE_DIR}/src/config.h.cmake ${CMAKE_SOURCE_DIR}/src/config.h)

# File list
set(CPP_FILES
  core/automaticfilterparameters.cpp
  core/identificationgroup.cpp
  core/identification_sources/identificationdatasource.cpp
  core/identification_sources/identificationmascotdatfile.cpp
  core/identification_sources/identificationpepxmlfile.cpp
  core/identification_sources/identificationpwizfile.cpp
  core/identification_sources/identificationxtandemfile.cpp
  core/labeling/label.cpp
  core/labeling/labelingmethod.cpp
  core/qvalue/computeqvalues.cpp
  core/tandem_run/tandembatchprocess.cpp
  core/tandem_run/tandemcondorprocess.cpp
  core/tandem_run/tandemparameters.cpp
  core/alignmentgroup.cpp
  core/msrun.cpp
  core/peptideevidence.cpp
  core/peptidematch.cpp
  core/peptidextp.cpp
  core/project.cpp
  core/proteinmatch.cpp
  core/proteinxtp.cpp
  core/sequencedatabase.cpp
  files/fastafile.cpp
  files/tandemparametersfile.cpp
  files/xpipfile.cpp
  grouping/groupingexperiment.cpp
  grouping/ptm/ptmacetylation.cpp
  grouping/ptm/ptminterface.cpp
  grouping/groupinggroup.cpp
  grouping/groupingpeptidemass.cpp
  grouping/ptm/ptmgroupingexperiment.cpp
  grouping/ptm/ptmisland.cpp
  grouping/ptm/ptmislandgroup.cpp
  grouping/ptm/ptmislandsubgroup.cpp
  grouping/ptm/ptmphospho.cpp
  grouping/ptm/ptmsamplescan.cpp
  input/mascot/mascotdatparser.cpp
  input/mascot/mimeparser.cpp
  input/condorqxmlsaxhandler.cpp
#  input/identificationpwizreader.cpp
  input/pepxmlsaxhandler.cpp
  input/xpipsaxhandler.cpp
  input/xtandemparamsaxhandler.cpp
  input/xtandemsaxhandler.cpp
  input/xtpxpipsaxhandler.cpp
  output/mcqr/mcqrscprotein.cpp
  output/mcqr/mcqrscpeptide.cpp
  output/ods/ptm/ptmislandsheet.cpp
  output/ods/ptm/ptmspectrasheet.cpp
  output/ods/comparbasesheet.cpp
  output/ods/comparspecificspectrasheet.cpp
  output/ods/comparspectrabypeptide.cpp
  output/ods/comparspectrasheet.cpp
  output/ods/groupingsheet.cpp
  output/ods/infosheet.cpp
  output/ods/odsexport.cpp
  output/ods/peptidepossheet.cpp
  output/ods/peptidesheet.cpp
  output/ods/proteinsheet.cpp
  output/ods/qvaluessheet.cpp
  output/ods/samplesheet.cpp
  output/ods/simplesheet.cpp
  output/ods/spectrasheet.cpp
  output/ods/spectrasheetall.cpp
  output/ods/xicareasheet.cpp
  output/exportfastafile.cpp
  output/masschroqml.cpp
  output/masschroqprm.cpp
  output/mcqrspectralcount.cpp
  output/proticdbml.cpp
  output/xpip.cpp
  utils/fastafilestore.cpp
  utils/identificationdatasourcestore.cpp
  utils/groupstore.cpp
  utils/httpversion.cpp
  utils/msrunstatisticshandler.cpp
  utils/msrunstore.cpp
  utils/peptideevidencestore.cpp
  utils/peptidestore.cpp
  utils/proteinstore.cpp
  utils/ptmbuilder.cpp
  utils/utils.cpp
)

# we need this to be able to include headers produced by uic in our code
#(CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)

set(XTPCPP_SRCS
  ./gui/about_dialog/aboutdialog.cpp
  ./gui/choose_modification_dialog/choosemodificationdialog.cpp
  ./gui/edit/edit_label_methods/editlabelmethods.cpp
  ./gui/edit/edit_modifications/editmodifications.cpp
  ./gui/edit/edit_settings/editsettings.cpp
  ./gui/edit/edit_tandem_preset_dialog/edittandempresetdialog.cpp
  ./gui/export/export_masschroq_dialog/exportmasschroqdialog.cpp
  ./gui/export/export_masschroq_dialog/masschroqfileparameters.cpp
  ./gui/export/export_spreadsheet_dialog/exportspreadsheetdialog.cpp
  ./gui/load_results_dialog/loadresultsdialog.cpp
  ./gui/lists/ms_identification_run_list_view/msidentificationlistwindow.cpp
  ./gui/lists/ms_identification_run_list_view/msidentificationtablemodel.cpp
  ./gui/lists/ms_identification_run_list_view/msidentificationtableproxymodel.cpp
  ./gui/lists/ms_identification_run_list_view/ms_identification_worker/msidlistworkerstatus.cpp
  ./gui/lists/ms_identification_run_list_view/engine_detail_view/enginedetailwindow.cpp
  ./gui/mainwindow.cpp
  ./gui/peptide_detail_view/peptidewindow.cpp
  ./gui/peptide_list_view/peptidelistwindow.cpp
  ./gui/peptide_list_view/peptidetablemodel.cpp
  ./gui/peptide_list_view/peptidetableproxymodel.cpp
  ./gui/project_view/identification_group_widget/identificationgroupwidget.cpp
  ./gui/project_view/projectwindow.cpp
  ./gui/protein_view/proteinwindow.cpp
  ./gui/protein_list_view/proteinlistwindow.cpp
  ./gui/protein_list_view/proteintablemodel.cpp
  ./gui/protein_list_view/proteintableproxymodel.cpp
  ./gui/ptm_island_list_view/ptmislandlistwindow.cpp
  ./gui/ptm_island_list_view/ptmislandtablemodel.cpp
  ./gui/ptm_island_list_view/ptmislandproxymodel.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidelistwindow.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidetablemodel.cpp
  ./gui/ptm_peptide_list_view/ptmpeptidetableproxymodel.cpp
  ./gui/ptm_peptide_list_view/ptmsequencedelegate.cpp
  ./gui/tandem_run_dialog/tandemrundialog.cpp
  ./gui/waiting_message_dialog/waitingmessagedialog.cpp
  ./gui/widgets/Alignment_group_menu/alignmentgroupmenu.cpp
  ./gui/widgets/automatic_filter_widget/automaticfilterwidget.cpp
  ./gui/widgets/engines_view/xtandemparamwidget.cpp
  ./gui/widgets/engines_view/noengineparamwidget.cpp
  ./gui/widgets/contaminant_widget/contaminantwidget.cpp
  ./gui/widgets/decoy_widget/decoywidget.cpp
  ./gui/widgets/xic_extraction_method_widget/xicextractionmethodwidget.cpp
  ./gui/widgets/massitemdelegate.cpp
  ./gui/xic_view/xic_box/xicbox.cpp
  ./gui/xic_view/xic_widgets/zivydialog.cpp
  ./gui/xic_view/xic_widgets/zivywidget.cpp
  ./gui/xic_view/xicwindow.cpp
  ./gui/xic_view/xicworkerthread.cpp
  ./gui/workerthread.cpp
  ./utils/workmonitor.cpp
)

set(GUI_UIS
  ./gui/about_dialog/about_dialog.ui
  ./gui/choose_modification_dialog/choose_modification_dialog.ui
  ./gui/edit/edit_alignment_param/masschroq_param_view.ui
  ./gui/edit/edit_label_methods/edit_label_methods.ui
  ./gui/edit/edit_modifications/edit_modifications.ui
  ./gui/edit/edit_settings/edit_settings.ui
  ./gui/edit/edit_tandem_preset_dialog/edit_tandem_preset_dialog.ui
  ./gui/export/export_masschroq_dialog/export_masschroq_dialog.ui
  ./gui/export/export_spreadsheet_dialog/export_spreadsheet_dialog.ui
  ./gui/lists/ms_identification_run_list_view/ms_identification_run_view.ui
  ./gui/lists/ms_identification_run_list_view/engine_detail_view/engine_detail_view.ui
  ./gui/load_results_dialog/load_results_dialog.ui
  ./gui/main.ui
  ./gui/peptide_detail_view/peptide_detail_view.ui
  ./gui/peptide_list_view/peptide_view.ui
  ./gui/project_view/identification_group_widget/identification_group_widget.ui
  ./gui/project_view/project_view.ui
  ./gui/protein_list_view/protein_view.ui
  ./gui/protein_view/protein_detail_view.ui
  ./gui/ptm_island_list_view/ptm_island_list_view.ui
  ./gui/ptm_peptide_list_view/ptm_peptide_list_view.ui
  ./gui/tandem_run_dialog/tandem_run_dialog.ui
  ./gui/waiting_message_dialog/waiting_message_dialog.ui
  ./gui/widgets/automatic_filter_widget/automatic_filter_widget.ui
  ./gui/widgets/engines_view/xtandem_view_widget.ui
  ./gui/widgets/engines_view/no_engine_view_widget.ui
  ./gui/widgets/contaminant_widget/contaminant_widget.ui
  ./gui/widgets/decoy_widget/decoy_widget.ui
  ./gui/xic_view/xic_box/xic_box.ui
  ./gui/xic_view/xic_widgets/zivy_widget.ui
  ./gui/xic_view/xic_window.ui
)


# this will run uic on .ui files:
qt5_wrap_ui( GUI_UI_HDRS ${GUI_UIS} )


message("XTPCPP_SRCS:  ${XTPCPP_SRCS}")


add_executable(xtpcpp main.cpp ${CPP_FILES} ${XTPCPP_SRCS} ${GUI_UI_HDRS} ${xtpcpp_RCC_SRCS})

target_include_directories(xtpcpp PUBLIC
    ${Quazip5_INCLUDE_DIRS}
    ${QCustomPlot_INCLUDE_DIR}
)

if(MXE)
    target_compile_options(
        xtpcpp PRIVATE -mwindows
    )
    set_target_properties(xtpcpp PROPERTIES LINK_FLAGS "-Wl,--subsystem,windows ${CMAKE_EXE_LINKER_FLAGS}")
endif(MXE)

target_link_libraries(xtpcpp
    OdsStream::Core
    PappsoMSpp::Core
    PappsoMSpp::Widget
    Qt5::Core
    Qt5::Gui
    Qt5::Xml
    Qt5::Svg
    Qt5::PrintSupport
    Qt5::Network
    Qt5::Sql
    Qt5::Concurrent
    ZLIB::ZLIB
    Alglib::Alglib
    Zstd::Zstd
    ${QCustomPlot_LIBRARIES}
    ${Quazip5_LIBRARY}
)




install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/xtpcpp DESTINATION bin)

#configure_file(${CMAKE_SOURCE_DIR}/templates/share/applications/pt-peptideviewer.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/pt-peptideviewer.desktop)

=== debian/changelog ===
xtpcpp (0.4.9-1) unstable; urgency=low

  * First package to be uploaded to NEW.

  * Some additions by Filippo Rusconi, like d/u/metadata or d/s/format.

  * Standards-Version: 4.5.0, no changes required.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 06 Nov 2020 12:21:05 +0100

xtpcpp (0.4.8-1) buster; urgency=medium

  * fix for issues masschroqml, ptm island view

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 02 Nov 2020 11:10:53 +0100

xtpcpp (0.4.7-1) buster; urgency=medium

  * deep refactoring concerning msrun statistics

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 15 Oct 2020 16:48:37 +0200

xtpcpp (0.4.6-1) buster; urgency=medium

  * mfg support for timsdata temporarily removed
  * more checks tandemwrapper run

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 09 Oct 2020 16:07:27 +0200

xtpcpp (0.4.5-1) buster; urgency=medium

  * alginment GUI stuff
  * timstof support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 08 Oct 2020 11:35:20 +0200

xtpcpp (0.4.4-6) buster; urgency=medium

  * new fix for issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 01 Oct 2020 10:07:36 +0200

xtpcpp (0.4.4-5) buster; urgency=medium

  * new point mutation notation feature fix #32

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 29 Sep 2020 16:24:05 +0200

xtpcpp (0.4.4-4) buster; urgency=medium

  * fix for issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 28 Sep 2020 10:20:55 +0200

xtpcpp (0.4.4-3) buster; urgency=medium

  * new package to fix issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Sep 2020 16:05:03 +0200

xtpcpp (0.4.4-2) buster; urgency=medium

  * new package to fix issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Sep 2020 15:20:04 +0200

xtpcpp (0.4.4-1) buster; urgency=medium

  * maximum number of file reached, test for issue #31

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 24 Sep 2020 13:21:31 +0200

xtpcpp (0.4.3-1) buster; urgency=medium

  * fix for issue #28 : new column in PTM tables and exports to count spectra bearing modifications

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 16 Sep 2020 10:55:19 +0200

xtpcpp (0.4.2-1) buster; urgency=medium

  * fix for issue #26 : bug in compar specific unique sequence sheet

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 02 Sep 2020 09:14:53 +0200

xtpcpp (0.4.1-1) buster; urgency=medium

  * better PTM support
  * no tims preset required
  * boost not needed
  * loss of mzIdentML support
  * export chemical formula in masschroqML output

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 22 Jul 2020 16:53:04 +0200

xtpcpp (0.4.0-2) buster; urgency=medium

  * display all digits of XIC areas

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 08 Jun 2020 17:59:22 +0200

xtpcpp (0.4.0-1) buster; urgency=medium

  * fixed issue #23

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 29 May 2020 16:58:10 +0200

xtpcpp (0.3.9-2) buster; urgency=medium

  * fix issue #22
  * no more dependency with libpwiz and libboost

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 28 May 2020 09:46:44 +0200

xtpcpp (0.3.9-1) buster; urgency=medium

  * lots of improvements made by Thomas Renne

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 May 2020 16:25:15 +0200

xtpcpp (0.3.8-1) unreleased; urgency=low

  * New upstream version. Packaging tweaks.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 May 2020 11:37:03 +0200

xtpcpp (0.3.7-3) buster; urgency=medium

  * no console in windows version
  * pseudo centroid for tandem wrapper

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 20 Apr 2020 08:31:29 +0200

xtpcpp (0.3.7-2) buster; urgency=medium

  * important fix in lib PAPPSOms++

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 12 Apr 2020 17:14:51 +0200

xtpcpp (0.3.7-1) buster; urgency=medium

  * allow column move (peptide list, protein list, ptm list, ptm peptide list)
  * edition of centroid parameters in tandem settings for tims tof reader
  * defining alignment groups
  * cross compilation with MXE

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 10 Apr 2020 22:05:08 +0200

xtpcpp (0.3.6-1) buster; urgency=medium

  * timstof support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 04 Mar 2020 16:59:21 +0100

xtpcpp (0.3.5-1ubuntu1) bionic; urgency=medium

  * tandem error messages

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 10 Feb 2020 10:58:19 +0100

xtpcpp (0.3.4-1) buster; urgency=medium

  * several issues fixed by Thomas Renne
  * mascot dat parser work

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 29 Jan 2020 10:22:48 +0100

xtpcpp (0.3.3-1) buster; urgency=medium

  * new spreadsheet output for PSMs

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 14 Jan 2020 10:33:42 +0100

xtpcpp (0.3.2-2ubuntu1) bionic; urgency=medium

  * ubuntu 18.04 package 

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 10 Jan 2020 22:39:39 +0000

xtpcpp (0.3.2-2) buster; urgency=medium

  * new pappsoms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Jan 2020 22:22:40 +0100

xtpcpp (0.3.2-1) buster; urgency=medium

  * better ms run identification view
  * prapagation of the project name

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 06 Jan 2020 11:26:14 +0100

xtpcpp (0.3.1-3) buster; urgency=medium

  * bunch of little bug fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 20 Dec 2019 14:21:34 +0100

xtpcpp (0.3.1-2) buster; urgency=medium

  * merge of latest changes from forge mia

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Dec 2019 22:34:59 +0100

xtpcpp (0.3.1-1) buster; urgency=medium

  * new features coded by Thomas Renne
  * new msrun list windows
  * instant msrun statistics
  * many GUI  fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Dec 2019 22:26:05 +0100

xtpcpp (0.2.40-2) buster; urgency=medium



=== debian/control ===
Source: xtpcpp
Section: science
Priority: optional
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 13),
 dpkg-dev (>= 1.18.25),
 cmake (>= 3.12),
 qtbase5-dev,
 libpappsomspp-dev (>= 0.8.8),
 libpappsomspp-widget-dev (>= 0.8.8),
 libodsstream-dev,
 libalglib-dev,
 libzstd-dev (>= 1.3.3),
 libqt5svg5-dev,
 libqcustomplot-dev,
 docbook-to-man,
 doxygen
Standards-Version: 4.5.0
Homepage: http://pappso.inra.fr/bioinfo

Package: xtpcpp
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ version of X!TandemPipeline
 The program allows one to perform the following tasks:
  -Reads X!Tandem xml results files
  -Reads MASCOT dat results files
  -Reads TPP pepXML results files
  -Reads PSI mzIdentML results files
  -Run X!Tandem analyzes through a graphical user interface
  -Implements various filters based on statistical values
  -Powerful original grouping algorithm to filter redundancy
  -Phosphopeptide mode to handle phosphoproteomics datasets
  -Edit, search and sort the data graphically
  -XIC chromatogram browser (eXtracted Ion Current)
  -Comparisons of theoretical isotope patterns to measured MS1 XIC areas
  -Export data directly to Microsoft Office 2010 and LibreOffice (ods export)
  -Handle huge datasets very quickly
  -Perform peptide quantification through MassChroQml export

## xtpcpp 0.4.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,11 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
 PROJECT(xtpcpp CXX)
 
+set(XTPCPP_VERSION_MAJOR "0")
+set(XTPCPP_VERSION_MINOR "4")
+set(XTPCPP_VERSION_PATCH "16")
+set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
+set(VERSION 0.4.16)
 
 # Add folder where are supportive functions
 set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)
@@ -127,19 +132,13 @@
 message(STATUS "${BoldYellow}CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}.${ColourReset}")
 
 #depending on libpappsomspp version :
-set(LIBPAPPSOMSPP_VERSION "0.8.8")
+set(LIBPAPPSOMSPP_VERSION "0.8.13")
 configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control  @ONLY)
 
 
 set(SOFTWARE_NAME "X!TandemPipeline")
 
-set(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM}")
-
-set(XTPCPP_VERSION_MAJOR "0")
-set(XTPCPP_VERSION_MINOR "4")
-set(XTPCPP_VERSION_PATCH "9")
-set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
-set(VERSION 0.4.9)
+set(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}")
 
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
 # standard install location
@@ -244,7 +243,7 @@
 #This creates deb packages:
 
 	add_custom_target(targz
-		cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION}.tar.gz
+		cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION}.tar.gz && ln -s ${CPACK_PACKAGE_NAME}-${XTPCPP_VERSION}.tar.gz ${CPACK_PACKAGE_NAME}_${XTPCPP_VERSION}.orig.tar.gz
 		WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
 		COMMENT "Creating .tar.gz" VERBATIM
 	)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,8 @@
 # File list
 set(CPP_FILES
   core/automaticfilterparameters.cpp
+  core/condor_process/condorprocess.cpp
+  core/condor_process/condorqxmlsaxhandler.cpp
   core/identificationgroup.cpp
   core/identification_sources/identificationdatasource.cpp
   core/identification_sources/identificationmascotdatfile.cpp
@@ -50,6 +52,8 @@
   core/identification_sources/identificationxtandemfile.cpp
   core/labeling/label.cpp
   core/labeling/labelingmethod.cpp
+  core/masschroq_run/masschroqbatchprocess.cpp
+  core/masschroq_run/masschroqcondorprocess.cpp
   core/qvalue/computeqvalues.cpp
   core/tandem_run/tandembatchprocess.cpp
   core/tandem_run/tandemcondorprocess.cpp
@@ -79,7 +83,6 @@
   grouping/ptm/ptmsamplescan.cpp
   input/mascot/mascotdatparser.cpp
   input/mascot/mimeparser.cpp
-  input/condorqxmlsaxhandler.cpp
 #  input/identificationpwizreader.cpp
   input/pepxmlsaxhandler.cpp
   input/xpipsaxhandler.cpp
@@ -88,6 +91,8 @@
   input/xtpxpipsaxhandler.cpp
   output/mcqr/mcqrscprotein.cpp
   output/mcqr/mcqrscpeptide.cpp
+  output/ods/mass_delta/validmassdeltasheet.cpp
+  output/ods/mass_delta/notvalidmassdeltasheet.cpp
   output/ods/ptm/ptmislandsheet.cpp
   output/ods/ptm/ptmspectrasheet.cpp
   output/ods/comparbasesheet.cpp
@@ -135,8 +140,6 @@
   ./gui/edit/edit_modifications/editmodifications.cpp
   ./gui/edit/edit_settings/editsettings.cpp
   ./gui/edit/edit_tandem_preset_dialog/edittandempresetdialog.cpp
-  ./gui/export/export_masschroq_dialog/exportmasschroqdialog.cpp
-  ./gui/export/export_masschroq_dialog/masschroqfileparameters.cpp
   ./gui/export/export_spreadsheet_dialog/exportspreadsheetdialog.cpp
   ./gui/load_results_dialog/loadresultsdialog.cpp
   ./gui/lists/ms_identification_run_list_view/msidentificationlistwindow.cpp
@@ -144,6 +147,8 @@
   ./gui/lists/ms_identification_run_list_view/msidentificationtableproxymodel.cpp
   ./gui/lists/ms_identification_run_list_view/ms_identification_worker/msidlistworkerstatus.cpp
   ./gui/lists/ms_identification_run_list_view/engine_detail_view/enginedetailwindow.cpp
+  ./gui/masschroq_run_dialog/masschroqrundialog.cpp
+  ./gui/masschroq_run_dialog/masschroqfileparameters.cpp
   ./gui/mainwindow.cpp
   ./gui/peptide_detail_view/peptidewindow.cpp
   ./gui/peptide_list_view/peptidelistwindow.cpp
@@ -189,11 +194,11 @@
   ./gui/edit/edit_modifications/edit_modifications.ui
   ./gui/edit/edit_settings/edit_settings.ui
   ./gui/edit/edit_tandem_preset_dialog/edit_tandem_preset_dialog.ui
-  ./gui/export/export_masschroq_dialog/export_masschroq_dialog.ui
   ./gui/export/export_spreadsheet_dialog/export_spreadsheet_dialog.ui
   ./gui/lists/ms_identification_run_list_view/ms_identification_run_view.ui
   ./gui/lists/ms_identification_run_list_view/engine_detail_view/engine_detail_view.ui
   ./gui/load_results_dialog/load_results_dialog.ui
+  ./gui/masschroq_run_dialog/masschroq_run_dialog.ui
   ./gui/main.ui
   ./gui/peptide_detail_view/peptide_detail_view.ui
   ./gui/peptide_list_view/peptide_view.ui
@@ -250,8 +255,6 @@
     Qt5::Sql
     Qt5::Concurrent
     ZLIB::ZLIB
-    Alglib::Alglib
-    Zstd::Zstd
     ${QCustomPlot_LIBRARIES}
     ${Quazip5_LIBRARY}
 )

=== debian/changelog ===
xtpcpp (0.4.16-1) unstable; urgency=low

  * New version that requires libpappsomspp 0.8.13.

  * Fix bug #976512 (Closes: #976512). Thanks to Lucas Nussbaum
    <lucas@debian.org> for the report.

  * Fix bug reported by Vagrant Cascadian <vagrant@reproducible-builds.org>.
    Thanks for the report! (Closes: #976071).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 08 Dec 2020 20:48:29 +0100

xtpcpp (0.4.15-1) buster; urgency=medium

  * little fix concerning masschroq binary file path

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 24 Nov 2020 16:32:12 +0100

xtpcpp (0.4.14-1) buster; urgency=medium

  * fix for issue #38

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Nov 2020 10:10:18 +0100

xtpcpp (0.4.13-1) buster; urgency=medium

  * fixed issue #37

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 19 Nov 2020 09:16:34 +0100

xtpcpp (0.4.12-1) buster; urgency=medium

  * new features added by Thomas Renne

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 18 Nov 2020 16:21:03 +0100

xtpcpp (0.4.11-1) buster; urgency=medium

  * new tandemrun wrapper

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 18 Nov 2020 14:15:58 +0100

xtpcpp (0.4.10-1) buster; urgency=medium

  * new CondorProcess API
  
  * new MassChroQ GUI to execute MassChroQ

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 17 Nov 2020 14:22:16 +0100

xtpcpp (0.4.9-2) UNRELEASED; urgency=low

  * Changed the maintainer to debichem team as the code is now
    in https://salsa.debian.org/debichem-team/xtpcpp.

  * Add Thomas Renne as Copyright holder for GPL3+ code in 2019,2020.

  * Add the corresponding VCS fields (see above).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 09 Nov 2020 20:55:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Priority: optional
 Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
  dpkg-dev (>= 1.18.25),
  cmake (>= 3.12),
  qtbase5-dev,
- libpappsomspp-dev (>= 0.8.8),
- libpappsomspp-widget-dev (>= 0.8.8),
+ libpappsomspp-dev (>= 0.8.13),
+ libpappsomspp-widget-dev (>= 0.8.13),
  libodsstream-dev,
- libalglib-dev,
- libzstd-dev (>= 1.3.3),
  libqt5svg5-dev,
  libqcustomplot-dev,
  docbook-to-man,

## xtpcpp 0.4.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 set(XTPCPP_VERSION_MAJOR "0")
 set(XTPCPP_VERSION_MINOR "4")
-set(XTPCPP_VERSION_PATCH "16")
+set(XTPCPP_VERSION_PATCH "18")
 set(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
-set(VERSION 0.4.16)
+set(VERSION 0.4.18)
 
 # Add folder where are supportive functions
 set(CMAKE_UTILS_PATH ${CMAKE_SOURCE_DIR}/CMakeStuff)

=== doc/CMakeLists.txt ===
message("")
message(STATUS "${BoldGreen}Starting configuration for the doc material for ${CMAKE_PROJECT_NAME} ${ColourReset}")
message("")

# The UNIX man pages
if(UNIX AND NOT APPLE)

	message(STATUS "Going to generate the man pages.")

	execute_process(COMMAND docbook-to-man xtpcpp.xml
		OUTPUT_FILE	${CMAKE_BINARY_DIR}/xtpcpp.1
		WORKING_DIRECTORY	${CMAKE_CURRENT_SOURCE_DIR})

endif(UNIX AND NOT APPLE)


###############
# install stuff

# The history and licence files.

message("Installing the doc files in ${DOC_DIR}")

# The man page.
if(UNIX AND NOT APPLE)
	install(FILES ${CMAKE_BINARY_DIR}/xtpcpp.1
		${CMAKE_BINARY_DIR}/xtpcpp.1
		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
endif()



message("")
message(STATUS "${BoldGreen}Finished configuration of the doc material.${ColourReset}")
message("")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -111,6 +111,7 @@
   output/ods/spectrasheet.cpp
   output/ods/spectrasheetall.cpp
   output/ods/xicareasheet.cpp
+  output/ods/xicinfosheet.cpp
   output/exportfastafile.cpp
   output/masschroqml.cpp
   output/masschroqprm.cpp
@@ -180,6 +181,7 @@
   ./gui/xic_view/xic_box/xicbox.cpp
   ./gui/xic_view/xic_widgets/zivydialog.cpp
   ./gui/xic_view/xic_widgets/zivywidget.cpp
+  ./gui/xic_view/xic_widgets/xicexportparam.cpp
   ./gui/xic_view/xicwindow.cpp
   ./gui/xic_view/xicworkerthread.cpp
   ./gui/workerthread.cpp
@@ -217,6 +219,7 @@
   ./gui/widgets/decoy_widget/decoy_widget.ui
   ./gui/xic_view/xic_box/xic_box.ui
   ./gui/xic_view/xic_widgets/zivy_widget.ui
+  ./gui/xic_view/xic_widgets/xic_export_param.ui
   ./gui/xic_view/xic_window.ui
 )

=== debian/changelog ===
xtpcpp (0.4.18-1) unstable; urgency=low

  * New upstream version fixing a number of upstream-reported bugs.
  * Now depends on libpappsomspp 0.8.15.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Jan 2021 15:48:09 +0100

xtpcpp (0.4.17-1~buster1) buster; urgency=medium

  * buster package
  * bunch of fixed issues #27 #40 #41 #42 (XIC data file export, better xtandem preset ui, 
    mgf batch, masschroq parameter alignment files fixed)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 10 Dec 2020 14:45:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: xtpcpp
 Section: science
 Priority: optional
-Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
+Maintainer: The Debichem Group <debichem-devel@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper-compat (= 12),
  dpkg-dev (>= 1.18.25),
  cmake (>= 3.12),
  qtbase5-dev,
- libpappsomspp-dev (>= 0.8.13),
- libpappsomspp-widget-dev (>= 0.8.13),
+ libpappsomspp-dev (>= 0.8.15),
+ libpappsomspp-widget-dev (>= 0.8.15),
  libodsstream-dev,
  libqt5svg5-dev,
  libqcustomplot-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DCMAKE_SKIP_RPATH=1
	
override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(DESTDIR)
